from typing import Optional
from pydantic import BaseModel, AnyUrl
from src.core.log_conf import logger


class ComicResponse(BaseModel):
    id: str
    title: str
    completed: bool


class ComicSchema(BaseModel):
    id: str
    title: str
    weblink: Optional[AnyUrl]
    completed: Optional[bool]
    current_order: Optional[bool]
